## xsettings-client

xsettings-client

## Functions

void | (*XSettingsNotifyFunc) ()
void | (*XSettingsWatchFunc) ()
XSettingsClient * | xsettings_client_new ()
void | xsettings_client_destroy ()
Bool | xsettings_client_process_event ()
XSettingsResult | xsettings_client_get_setting ()

## Types and Values

| XSettingsClient
enum | XSettingsAction

## Description

## Functions

### XSettingsNotifyFunc ()

    void
    (*XSettingsNotifyFunc) (const char *name,
                            XSettingsAction action,
                            XSettingsSetting *setting,
                            void *cb_data);

### XSettingsWatchFunc ()

    void
    (*XSettingsWatchFunc) (Window window,
                           Bool is_start,
                           long mask Param3,
                           void *cb_data);

### xsettings_client_new ()

    XSettingsClient *
    xsettings_client_new (Display *display,
                          int screen,
                          XSettingsNotifyFunc notify,
                          XSettingsWatchFunc watch,
                          void *cb_data);

### xsettings_client_destroy ()

    void
    xsettings_client_destroy (XSettingsClient *client);

### xsettings_client_process_event ()

    Bool
    xsettings_client_process_event (XSettingsClient *client,
                                    XEvent *xev);

### xsettings_client_get_setting ()

    XSettingsResult
    xsettings_client_get_setting (XSettingsClient *client,
                                  const char *name,
                                  XSettingsSetting **setting);

## Types and Values

### XSettingsClient

    typedef struct _XSettingsClient XSettingsClient;

### enum XSettingsAction

#### Members

XSETTINGS_ACTION_NEW |  |
XSETTINGS_ACTION_CHANGED |  |
XSETTINGS_ACTION_DELETED |  |